BloomreachEmailWidgetGeneratedApiApiV2WidgetsImageItemWidgetIdGetRequest
Request parameters for apiV2WidgetsImageItemWidgetIdGet operation in BloomreachEmailWidgetGeneratedApi.
interface BloomreachEmailWidgetGeneratedApiApiV2WidgetsImageItemWidgetIdGetRequest {
readonly accountId: string;
readonly authKey?: string;
readonly brUid2: string;
readonly domainKey: string;
readonly fields?: string;
readonly filter?: string;
readonly itemIds: string;
readonly refUrl?: string;
readonly requestId?: string;
readonly rows?: number;
readonly url: string;
readonly viewId?: string;
readonly widgetId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
accountId | Required | string | Your site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting. |
authKey | Optional | string | Unique key shared by your Bloomreach representative during integration. This is used to authenticate a merchant API call. |
brUid2 | Required | string | A first-party cookie created by the Bloomreach tracking pixel library (BrTrk). This cookie creates a unique, anonymous identifier for every browser or device. </br></br> Mostly the default value provided is used, which is already encoded. |
domainKey | Required | string | Your site domain's ID, which is provided by Bloomreach during initial scoping and integration. This ID is for the domain that you want to receive your Bloomreach API requests. This parameter identifies the specific site version when the one account ID hosts multiple site versions with unique characteristics, such as language versions. |
fields | Optional | string | A comma-separated list of fields to be sent in the request. Alternatively, you may configure the fields in the Widget Configurator in the Dashboard instead. This parameter is required if not sent via the Dashboard. Only the attributes passed in the fields parameter will be returned in the doc section as part of response. |
filter | Optional | string | The filter parameter applies a faceted filter to the returned products, searching for products that fit your parameter values. Any facet that you want to filter must be in your feed. Attributes must be enabled and mapped by Bloomreach. Let your Bloomreach representative know which attributes in your content feed you want to apply as filters to search results. You can filter results based on numeric ranges. For example, &filter=(price:["100" TO ""]). Please note that a negative filter on ranges is not supported. To provide multiple filters, send multiple filter parameters. For example, &filter=(price:["" TO "100"])&filter=(color_groups: ("blue")) |
itemIds | Required | string | Specifies access to a particular set of items. For product catalog, this would be the PID(s). |
refUrl | Optional | string | The URL of the page or HTTP referrer where the request is started. |
requestId | Optional | string | An ID to track site visitor clicks. We recommend that you generate unique, random values of 13 digits to enable click-tracking. The request_id is also important for debugging. |
rows | Optional | number | The number of matching items to return per results page in the API response. The maximum value is 200. The result size is used from the Dashboard if it is not sent in the API. To enhance performance, limit this value to the number of items that you think is reasonable for a single page of search results. |
url | Required | string | The absolute URL of the page where the request is initiated. Do not use a relative URL. |
viewId | Optional | string | A unique identifier for a specific view of your product catalog. If you have multiple versions of your site, each with their own product catalog characteristics like product titles and prices, then add view_id to your call. Bloomreach uses your view_id parameter value to display the right product information for your customers based on their individual site views. You can enter any string value to identify the specific site catalog view. This string must be consistent in your pixel, API, and product catalog. |
widgetId | Required | string | The ID of the widget, which can be found in the Widget Configurator in the Dashboard. |